MCP Tools Reference: slidesmcp.googleapis.com

Tool: read_slide_page

Read a JSON representation of a single slide/page from a Google Slides presentation.

Corresponds to presentations.pages.get in the REST API.

The following code sample shows how to use curl to call the read_slide_page MCP tool.

Curl Request
curl --location 'https://slidesmcp.googleapis.com/mcp' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "read_slide_page",
    "arguments": {
      // Provide these details according to the MCP tool specification.
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'

Input Schema

Request to read a single presentation page.

ReadSlidePageRequest

JSON representation
{
  "presentationId": string,
  "pageId": string,
  "fields": [
    string
  ],

  "commentsIncluded": boolean
}
Fields
presentationId

string

Required. The ID of the presentation containing the page.

pageId

string

Required. The ID of the slide page to retrieve.

fields[]

string

Optional. A field mask specifying which subset of properties to return for the slide page. Paths MUST accurately match the Google Slides REST API resource structure (e.g. Page, PageElement, Shape, Image, Table, Line, Video, TextContent).

IMPORTANT GUIDELINES: - Always use targeted field masks rather than fetching unmasked or generic full page objects. - Syntax: Supports dot notation and subselection parentheses (e.g. pageElements(objectId,shape.text) or pageElements.objectId,pageElements.shape.text). - Only include the fields you need.

Union field _comments_included.

_comments_included can be only one of the following:

commentsIncluded

boolean

Optional. If true, comments will be included in the response. By default, comments are not included.

Output Schema

Response containing the JSON representation of the requested presentation slide page.

ReadSlidePageResponse

JSON representation
{
  "content": {
    object
  }
}
Fields
content

object (Struct format)

A JSON representation of a Google Slides presentation slide page.

Struct

JSON representation
{
  "fields": {
    string: value,
    ...
  }
}
Fields
fields

map (key: string, value: value (Value format))

Unordered map of dynamically typed values.

An object containing a list of "key": value pairs. Example: { "name": "wrench", "mass": "1.3kg", "count": "3" }.

FieldsEntry

JSON representation
{
  "key": string,
  "value": value
}
Fields
key

string

value

value (Value format)

Value

JSON representation
{

  "nullValue": null,
  "numberValue": number,
  "stringValue": string,
  "boolValue": boolean,
  "structValue": {
    object
  },
  "listValue": array
}
Fields
Union field kind. The kind of value. kind can be only one of the following:
nullValue

null

Represents a JSON null.

numberValue

number

Represents a JSON number. Must not be NaN, Infinity or -Infinity, since those are not supported in JSON. This also cannot represent large Int64 values, since JSON format generally does not support them in its number type.

stringValue

string

Represents a JSON string.

boolValue

boolean

Represents a JSON boolean (true or false literal in JSON).

structValue

object (Struct format)

Represents a JSON object.

listValue

array (ListValue format)

Represents a JSON array.

ListValue

JSON representation
{
  "values": [
    value
  ]
}
Fields
values[]

value (Value format)

Repeated field of dynamically typed values.

NullValue

Represents a JSON null.

NullValue is a sentinel, using an enum with only one value to represent the null value for the Value type union.

A field of type NullValue with any value other than 0 is considered invalid. Most ProtoJSON serializers will emit a Value with a null_value set as a JSON null regardless of the integer value, and so will round trip to a 0 value.

Enums
NULL_VALUE Null value.

Tool Annotations

Tool annotations are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.

Along with the title string, the following boolean hints are defined as follows:

  • readOnlyHint: If true, the tool doesn't modify its environment. Default: false.
  • destructiveHint: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.
  • idempotentHint: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.
  • openWorldHint: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ✅

Authorization Scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/drive.readonly
  • https://www.googleapis.com/auth/presentations.readonly
  • https://www.googleapis.com/auth/drive
  • https://www.googleapis.com/auth/drive.file
  • https://www.googleapis.com/auth/presentations